[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.PaletteAllocated

PaletteAllocated - returns True if a Palette has been allocated.

## Declaration

Source position: graphics.pp line 1313

`public function TRasterImage.PaletteAllocated: Boolean; virtual; abstract;`

## Function result

True when a handle has been allocated for the palette in the image.

## Description

Declared as an abstract virtual method. Must be implemented in a descendent class to provide support for a specific image format.